petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSMonitorEnvelopeGetBounds

Gets the bounds for the components of the solution

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSMonitorEnvelopeGetBounds(TS ts,Vec *max,Vec *min)

Collective on TS

### Input Parameter

ts -the TS context

### Output Parameter

| max | - the maximum values
| min | - the minimum values

Notes: If the TS does not have a TSMonitorEnvelopeCtx associated with it then this function is ignored

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView(), TSMonitorLGSetDisplayVariables()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/extchem.c.html